### Property

# WebKit2 Settings:enable-encrypted-media

since: 2.20

#### Declaration

    property enable-encrypted-media: gboolean [ read, write, construct ]

#### Description [src]

Enable or disable support for Encrypted Media API on pages. EncryptedMedia is an experimental JavaScript API for playing encrypted media in HTML. This property will only work as intended if the EncryptedMedia feature is enabled at build time with the ENABLE_ENCRYPTED_MEDIA flag.

See https://www.w3.org/TR/encrypted-media/.

Type:`gboolean`

Available since: 2.20

Default value | FALSE
Getter method | `webkit_settings_get_enable_encrypted_media()`
Setter method | `webkit_settings_set_enable_encrypted_media()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no